> For the complete documentation index, see [llms.txt](https://docs.becard.me/rest-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.becard.me/rest-api/public-digital-cards/download-public-card.md).

# Download Public Card

Learn how to download the retrieved digital business card as a .vcf file. To do this, we first obtain a secure download link through a POST request. Once we have received the link, it remains valid for 90 seconds.

### Step 1: Request secure download link

<mark style="color:green;">`POST`</mark> `/v1/public/card/{UUID}/download`

#### Path Parameters

| Name                                   | Type   | Description |
| -------------------------------------- | ------ | ----------- |
| UUID<mark style="color:red;">\*</mark> | string | Card UUID   |

{% tabs %}
{% tab title="200: OK " %}
You will get a link on a successfull response, please redirect the user to this link to place the download:

```html
https://api.becard.me/v1/public/card/{UUID}/download?expires=1697762081&signature=e337ab0f1e6a1e2b3b4a52c62b215ce78e67fb7fe1dd9e19d87ef9026d5499ce
```

{% endtab %}
{% endtabs %}

### Step 2: Download the card

Redirect the user to the link from the response of the <mark style="color:green;">`POST`</mark> Request in [Step 1](#step-1-request-secure-download-link) to download the digital business card as <mark style="color:purple;">`.vcf`</mark> file.

## Download Apple Wallet

Becard offers the option to not only download `.vcf` files but also to save the digital business card directly in your Apple Wallet as a <mark style="color:purple;">`.pem`</mark> file. The process is identical as with `.vcf` files, except for the use of a URI that differs from the REST API URI.

### Step 1: Request secure download link

{% code title="WALLET BASE URL:" %}

```html
https://wallet.becard.me
```

{% endcode %}

<mark style="color:green;">`POST`</mark> `https://wallet.becard.me/v1/apple-wallet/generate/{UUID}`

#### Path Parameters

| Name                                   | Type   | Description |
| -------------------------------------- | ------ | ----------- |
| UUID<mark style="color:red;">\*</mark> | string | Card UUID   |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "secure_download": "https://wallet.becard.me/v1/apple-wallet/generate/{UUID}?expires=1697763640&signature=2849e534a64eb369ab8a2cc42bff6d6efc860a646728888e36b2f3c3b2b711a2"
}
```

{% endtab %}
{% endtabs %}

### Step 2: Download the Apple Wallet

Redirect the user to the link from the response of the <mark style="color:green;">`POST`</mark> Request in Step 1 to download the digital business card as <mark style="color:purple;">`.pem`</mark>  and store it into the Apple Wallet file.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.becard.me/rest-api/public-digital-cards/download-public-card.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
